## ignition-sensors6 6.7.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-sensors6 VERSION 6.7.1)

#============================================================================
# Find ignition-cmake
#============================================================================
find_package(ignition-cmake2 2.13 REQUIRED)

#============================================================================
# Configure the project
#============================================================================
ign_configure_project(
  REPLACE_IGNITION_INCLUDE_PATH gz/sensors
  VERSION_SUFFIX
)

#============================================================================
# Set project-specific options
#============================================================================
set (DRI_TESTS TRUE CACHE BOOL "True to enable DRI tests")

option(ENABLE_PROFILER "Enable Gazebo Profiler" FALSE)

if(ENABLE_PROFILER)
  add_definitions("-DIGN_PROFILER_ENABLE=1")
else()
  add_definitions("-DIGN_PROFILER_ENABLE=0")
endif()

#============================================================================
# Search for project-specific dependencies
#============================================================================
message(STATUS "\n\n-- ====== Finding Dependencies ======")

#--------------------------------------
# Find Protobuf
ign_find_package(IgnProtobuf
                 REQUIRED
                 PRETTY Protobuf)

#--------------------------------------
# Find ignition-math
ign_find_package(ignition-math6 REQUIRED VERSION 6.6)
set(IGN_MATH_VER ${ignition-math6_VERSION_MAJOR})

#--------------------------------------
# Find ignition-common
ign_find_package(ignition-common4
                 COMPONENTS profiler
                 REQUIRED)
set(IGN_COMMON_VER ${ignition-common4_VERSION_MAJOR})

#--------------------------------------
# Find ignition-transport
ign_find_package(ignition-transport11 REQUIRED)
set(IGN_TRANSPORT_VER ${ignition-transport11_VERSION_MAJOR})

#--------------------------------------
# Find ignition-rendering

# See CMP0072 for more details (cmake --help-policy CMP0072)
if ((NOT ${CMAKE_VERSION} VERSION_LESS 3.11) AND (NOT OpenGL_GL_PREFERENCE))
  set(OpenGL_GL_PREFERENCE "GLVND")
endif()

ign_find_package(ignition-rendering6 REQUIRED VERSION 6.5 OPTIONAL_COMPONENTS ogre ogre2)
set(IGN_RENDERING_VER ${ignition-rendering6_VERSION_MAJOR})

if (TARGET ignition-rendering${IGN_RENDERING_VER}::ogre)
  set(HAVE_OGRE TRUE)
  add_definitions(-DWITH_OGRE)
endif()

if (TARGET ignition-rendering${IGN_RENDERING_VER}::ogre2)
  set(HAVE_OGRE2 TRUE)
  add_definitions(-DWITH_OGRE2)
endif()

#--------------------------------------
# Find ignition-msgs
ign_find_package(ignition-msgs8 REQUIRED VERSION 8.2)
set(IGN_MSGS_VER ${ignition-msgs8_VERSION_MAJOR})

#--------------------------------------
# Find SDFormat
ign_find_package(sdformat12 REQUIRED VERSION 12.6.0)
set(SDF_VER ${sdformat12_VERSION_MAJOR})

set(IGN_SENSORS_PLUGIN_PATH ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})

#============================================================================
# Configure the build
#============================================================================
ign_configure_build(QUIT_IF_BUILD_ERRORS)

#============================================================================
# Create package information
#============================================================================
ign_create_packages()

#============================================================================
# Configure documentation
#============================================================================
configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)

ign_create_docs(
  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md")

if(TARGET doc)
  file(COPY ${CMAKE_SOURCE_DIR}/tutorials/files/ DESTINATION ${CMAKE_BINARY_DIR}/doxygen/html/files/)
endif()

=== src/CMakeLists.txt ===
set (sources
  BrownDistortionModel.cc
  Distortion.cc
  GaussianNoiseModel.cc
  Manager.cc
  Noise.cc
  PointCloudUtil.cc
  Sensor.cc
  SensorFactory.cc
  SensorTypes.cc
  Util.cc
)

set(rendering_sources
  RenderingSensor.cc
  RenderingEvents.cc
  ImageBrownDistortionModel.cc
  ImageDistortion.cc
  ImageGaussianNoiseModel.cc
  ImageNoise.cc
)

set (gtest_sources
  Manager_TEST.cc
  Noise_TEST.cc
  Sensor_TEST.cc
  Util_TEST.cc
)

if (MSVC)
  # TODO(louise) Remove this once warnings are suppressed in ign-rendering
  set_source_files_properties(
      ${rendering_sources}
      SegmentationCameraSensor.cc
    COMPILE_FLAGS "/wd4251"
  )
endif()

# Create the library target.
ign_create_core_library(SOURCES ${sources} CXX_STANDARD 14)

target_link_libraries(${PROJECT_LIBRARY_TARGET_NAME}
  PUBLIC
    ignition-math${IGN_MATH_VER}::ignition-math${IGN_MATH_VER}
    ignition-common${IGN_COMMON_VER}::ignition-common${IGN_COMMON_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
    sdformat${SDF_VER}::sdformat${SDF_VER}
  PRIVATE
    ignition-common${IGN_COMMON_VER}::profiler
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
)
target_compile_definitions(${PROJECT_LIBRARY_TARGET_NAME} PUBLIC DepthPoints_EXPORTS)

ign_add_component(rendering SOURCES ${rendering_sources} GET_TARGET_NAME rendering_target)
target_link_libraries(${rendering_target}
  PUBLIC
    ignition-rendering${IGN_RENDERING_VER}::ignition-rendering${IGN_RENDERING_VER}
)

set(camera_sources CameraSensor.cc)
ign_add_component(camera
  SOURCES ${camera_sources}
  DEPENDS_ON_COMPONENTS rendering
  GET_TARGET_NAME camera_target
)
# custom compile definitions since the one provided automatically is versioned and will
# make the code need to change with every major version
target_compile_definitions(${camera_target} PUBLIC CameraSensor_EXPORTS)
target_link_libraries(${camera_target}
  PUBLIC
    ${rendering_target}
  PRIVATE
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
)

set(depth_camera_sources DepthCameraSensor.cc)
ign_add_component(depth_camera
  SOURCES ${depth_camera_sources}
  DEPENDS_ON_COMPONENTS camera
  GET_TARGET_NAME depth_camera_target
)
target_compile_definitions(${depth_camera_target} PUBLIC DepthCameraSensor_EXPORTS)
target_link_libraries(${depth_camera_target}
  PRIVATE
    ${camera_target}
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
)

set(lidar_sources Lidar.cc)
ign_add_component(lidar
  SOURCES ${lidar_sources}
  DEPENDS_ON_COMPONENTS rendering
  GET_TARGET_NAME lidar_target
)
target_compile_definitions(${lidar_target} PUBLIC Lidar_EXPORTS)
target_link_libraries(${lidar_target}
  PUBLIC
    ${rendering_target}
  PRIVATE
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
)

set(gpu_lidar_sources GpuLidarSensor.cc)
ign_add_component(gpu_lidar
  DEPENDS_ON_COMPONENTS lidar
  SOURCES ${gpu_lidar_sources}
  GET_TARGET_NAME gpu_lidar_target
)
target_compile_definitions(${gpu_lidar_target} PUBLIC GpuLidarSensor_EXPORTS)
target_link_libraries(${gpu_lidar_target}
  PRIVATE
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
    ${lidar_target}
)

set(logical_camera_sources LogicalCameraSensor.cc)
ign_add_component(logical_camera SOURCES ${logical_camera_sources} GET_TARGET_NAME logical_camera_target)
target_compile_definitions(${logical_camera_target} PUBLIC LogicalCameraSensor_EXPORTS)
target_link_libraries(${logical_camera_target}
  PRIVATE
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
)

set(magnetometer_sources MagnetometerSensor.cc)
ign_add_component(magnetometer SOURCES ${magnetometer_sources} GET_TARGET_NAME magnetometer_target)

set(imu_sources ImuSensor.cc)
ign_add_component(imu SOURCES ${imu_sources} GET_TARGET_NAME imu_target)

set(altimeter_sources AltimeterSensor.cc)
ign_add_component(altimeter SOURCES ${altimeter_sources} GET_TARGET_NAME altimeter_target)

set(air_pressure_sources AirPressureSensor.cc)
ign_add_component(air_pressure SOURCES ${air_pressure_sources} GET_TARGET_NAME air_pressure_target)

set(force_torque_sources ForceTorqueSensor.cc)
ign_add_component(force_torque SOURCES ${force_torque_sources} GET_TARGET_NAME force_torque_target)

set(navsat_sources NavSatSensor.cc)
ign_add_component(navsat SOURCES ${navsat_sources} GET_TARGET_NAME navsat_target)

set(rgbd_camera_sources RgbdCameraSensor.cc)
ign_add_component(rgbd_camera
  SOURCES ${rgbd_camera_sources}
  DEPENDS_ON_COMPONENTS camera
  GET_TARGET_NAME rgbd_camera_target
)
target_compile_definitions(${rgbd_camera_target} PUBLIC RgbdCameraSensor_EXPORTS)
target_link_libraries(${rgbd_camera_target}
  PRIVATE
    ${camera_target}
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
)

set(thermal_camera_sources ThermalCameraSensor.cc)
ign_add_component(thermal_camera
  SOURCES ${thermal_camera_sources}
  DEPENDS_ON_COMPONENTS camera
  GET_TARGET_NAME thermal_camera_target
)
target_link_libraries(${thermal_camera_target}
  PRIVATE
    ${camera_target}
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
)

set(boundingbox_camera_sources BoundingBoxCameraSensor.cc)
ign_add_component(boundingbox_camera SOURCES ${boundingbox_camera_sources} GET_TARGET_NAME boundingbox_camera_target)
target_link_libraries(${boundingbox_camera_target}
  PRIVATE
    ${camera_target}
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
)

set(segmentation_camera_sources SegmentationCameraSensor.cc)
ign_add_component(segmentation_camera SOURCES ${segmentation_camera_sources} GET_TARGET_NAME segmentation_camera_target)
target_compile_definitions(${segmentation_camera_target} PUBLIC SegmentationCameraSensor_EXPORTS)
target_link_libraries(${segmentation_camera_target}
  PRIVATE
    ${camera_target}
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
)

# Build the unit tests.
ign_build_tests(TYPE UNIT SOURCES ${gtest_sources} LIB_DEPS ${rendering_target})

# Build the unit tests that depend on components.
ign_build_tests(TYPE UNIT SOURCES Lidar_TEST.cc LIB_DEPS ${lidar_target})
ign_build_tests(TYPE UNIT SOURCES Camera_TEST.cc LIB_DEPS ${camera_target})
ign_build_tests(TYPE UNIT SOURCES ImuSensor_TEST.cc LIB_DEPS ${imu_target})

=== examples/imu_noise/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
project(ignition-sensors-noise-demo)

# Find the Gazebo Libraries used directly by the example
find_package(ignition-sensors6 REQUIRED)

add_executable(sensor_noise main.cc)
target_link_libraries(sensor_noise PUBLIC ignition-sensors6)

=== examples/save_image/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
project(ignition-sensors-camera-demo)

# Find the Gazebo Libraries used directly by the example
find_package(ignition-rendering6 REQUIRED OPTIONAL_COMPONENTS ogre ogre2)
find_package(ignition-sensors6 REQUIRED COMPONENTS rendering camera)

if (TARGET ignition-rendering6::ogre)
   add_definitions(-DWITH_OGRE)
endif()
if (TARGET ignition-rendering6::ogre2)
   add_definitions(-DWITH_OGRE2)
endif()

add_executable(save_image main.cc)
target_link_libraries(save_image PUBLIC
  ignition-sensors6::camera)

=== debian/changelog ===
ignition-sensors6 (6.7.1-1~focal) focal; urgency=medium

  * ignition-sensors6 6.7.1-1 release

 -- Addisu Z. Taddese <addisu@openrobotics.org>  Fri, 01 Sep 2023 12:54:11 -0500

ignition-sensors6 (6.7.0-1~focal) focal; urgency=medium

  * ignition-sensors6 6.7.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Thu, 16 Feb 2023 15:23:14 -0800

ignition-sensors6 (6.7.0~pre1-2~focal) focal; urgency=medium

  * ignition-sensors6 6.7.0~pre1-2 release

 -- Nate Koenig <nate@openrobotics.org>  Thu, 16 Feb 2023 13:43:34 -0800

ignition-sensors6 (6.7.0~pre1-1~focal) focal; urgency=medium

  * ignition-sensors6 6.7.0~pre1-1 release

 -- Nate Koenig <nate@openrobotics.org>  Mon, 13 Feb 2023 15:43:34 -0800

=== debian/control ===
Source: ignition-sensors6
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               doxygen,
               pkg-config,
               debhelper (>= 11),
               libignition-cmake2-dev,
               libignition-common4-events-dev,
               libignition-common4-profiler-dev,
               libignition-math6-dev (>= 6.6.0),
               libignition-msgs8-dev (>= 8.2.0),
               libignition-plugin-dev,
               libignition-rendering6-ogre1-dev (>= 6.5),
               libignition-rendering6-ogre2-dev (>= 6.5),
               libignition-transport11-core-dev,
               libignition-tools-dev,
               libsdformat12-dev (>= 12.5.0)
Vcs-Browser: https://github.com/gazebosim/gz-sensors
Vcs-Git: https://github.com/gazebo-release/gz-sensors6-release
Standards-Version: 4.5.1
Homepage: http://gazebosim.org/

Package: libignition-sensors6-core-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-msgs8-dev (>= 8.2.0),
         libignition-plugin-dev,
         libignition-rendering6-ogre1-dev (>= 6.5),
         libignition-rendering6-ogre2-dev (>= 6.5),
         libignition-transport11-core-dev,
         libignition-tools-dev,
         libsdformat12-dev (>= 12.5.0),
         libignition-sensors6 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Development files
 Gazebo Sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Core development files

Package: libignition-sensors6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-sensors6-6 (<=  6.1.0+ds)
Replaces: libignition-sensors6-6 (<=  6.1.0+ds)
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Shared library
 Gazebo Sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Main shared library

Package: libignition-sensors6-air-pressure-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common4-events-dev,
         libignition-sensors6-core-dev (= ${binary:Version}),
         libsdformat12-dev (>= 12.5.0),
         libignition-sensors6-air-pressure (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Dev files air-pressure
 Gazebo Sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Development files for air-pressure sensor

Package: libignition-sensors6-air-pressure
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-sensors6-6 (<=  6.1.0+ds)
Replaces: libignition-sensors6-6 (<=  6.1.0+ds)
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Lib air-pressure
  Gazebo Sensors is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for air-pressure sensor

Package: libignition-sensors6-altimeter-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common4-events-dev,
         libignition-sensors6-core-dev (= ${binary:Version}),
         libsdformat12-dev (>= 12.5.0),
         libignition-sensors6-altimeter (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Dev files altimeter
  Gazebo Sensors is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for altimeter sensor

Package: libignition-sensors6-altimeter
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-sensors6-altimeter6 (<=  6.1.0+ds)
Replaces: libignition-sensors6-altimeter6 (<=  6.1.0+ds)
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Lib altimeter
 Gazebo Sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Shared library for altimeter sensor

Package: libignition-sensors6-boundingbox-camera-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-msgs8-dev (>= 8.2.0),
         libignition-transport11-core-dev,
         libignition-sensors6-core-dev (= ${binary:Version}),
         libsdformat12-dev (>= 12.5.0),
         libignition-sensors6-boundingbox-camera (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Dev files Bounding Box Camera
 Gazebo sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Development files for NavSat (GPS) sensor

Package: libignition-sensors6-boundingbox-camera
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Lib Bounding Box Camera
 Gazebo sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Shared library for NavSat (GPS) sensor

Package: libignition-sensors6-camera-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-msgs8-dev (>= 8.2.0),
         libignition-transport11-core-dev,
         libignition-sensors6-core-dev (= ${binary:Version}),
         libsdformat12-dev (>= 12.5.0),
         libignition-sensors6-camera (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Dev files Camera
 Gazebo Sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Development files for Camera sensor

Package: libignition-sensors6-camera
Architecture: any
Section: libs
Breaks: libignition-sensors6-camera6 (<=  6.1.0+ds)
Replaces: libignition-sensors6-camera6 (<=  6.1.0+ds)
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Lib Camera
  Gazebo Sensors is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for Camera sensor

Package: libignition-sensors6-depth-camera-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-msgs8-dev (>= 8.2.0),
         libignition-transport11-core-dev,
         libignition-sensors6-core-dev (= ${binary:Version}),
         libignition-sensors6-camera-dev (= ${binary:Version}),
         libsdformat12-dev (>= 12.5.0),
         libignition-sensors6-depth-camera (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Dev files depth-camera
 Gazebo Sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Development files for depth-camera sensor

Package: libignition-sensors6-depth-camera
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-sensors6-depth-camera6 (<=  6.1.0+ds)
Replaces: libignition-sensors6-depth-camera6 (<=  6.1.0+ds)
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Lib depth-camera
 Gazebo Sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Shared library for depth-camera sensor

Package: libignition-sensors6-force-torque-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-sensors6-core-dev (= ${binary:Version}),
         libsdformat12-dev (>= 12.5.0),
         libignition-sensors6-force-torque (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Dev files force-torque
 Gazebo Sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Development files for force-torque sensor

Package: libignition-sensors6-force-torque
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-sensors6-force-torque6 (<=  6.1.0+ds)
Replaces: libignition-sensors6-force-torque6 (<=  6.1.0+ds)
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Lib force-torque
 Gazebo Sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Shared library for force-torque sensor

Package: libignition-sensors6-imu-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-sensors6-core-dev (= ${binary:Version}),
         libsdformat12-dev (>= 12.5.0),
         libignition-sensors6-imu (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Dev files imu
 Gazebo Sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Development files for imu sensor

Package: libignition-sensors6-imu
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-sensors6-imu6 (<=  6.1.0+ds)
Replaces: libignition-sensors6-imu6 (<=  6.1.0+ds)
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Lib imu
 Gazebo Sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Shared library for imu sensor

Package: libignition-sensors6-lidar-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-msgs8-dev (>= 8.2.0),
         libignition-transport11-core-dev,
         libignition-sensors6-core-dev (= ${binary:Version}),
         libsdformat12-dev (>= 12.5.0),
         libignition-sensors6-lidar (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Dev files lidar
 Gazebo Sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Development files for lidar sensor

Package: libignition-sensors6-lidar
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libignition-sensors6-lidar6 (<=  6.1.0+ds)
Replaces: libignition-sensors6-lidar6 (<=  6.1.0+ds)
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Lib lidar
 Gazebo Sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Shared library for lidar sensor

Package: libignition-sensors6-gpu-lidar-dev
Architecture: any
Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

.PHONY: override_dh_auto_configure \
        override_dh_install \
        override_dh_auto_test

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_install:
	dh_install --
	# need to remove files present in components
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/AirPressure*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Altimeter*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/BoundingBoxCamera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Camera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/DepthCamera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/GpuLidarSensor*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/ForceTorque*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Imu*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Lidar*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/LogicalCamera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Magnetometer*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/NavSat*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/SegmentationCamera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/ThermalCamera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Rendering*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/RgbdCamera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/gz/sensors/AirPressure*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/gz/sensors/Altimeter*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/gz/sensors/BoundingBoxCamera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/gz/sensors/Camera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/gz/sensors/DepthCamera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/gz/sensors/GpuLidarSensor*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/gz/sensors/ForceTorque*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/gz/sensors/Imu*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/gz/sensors/Lidar*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/gz/sensors/LogicalCamera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/gz/sensors/Magnetometer*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/gz/sensors/NavSat*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/gz/sensors/SegmentationCamera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/gz/sensors/ThermalCamera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/gz/sensors/Rendering*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/gz/sensors/RgbdCamera*.hh

	dh_missing --list-missing

# test cannot run in parallel
override_dh_auto_test:
	true
# dh_auto_test --max-parallel=1

## ignition-sensors6 6.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-sensors6 VERSION 6.7.1)
+project(ignition-sensors6 VERSION 6.8.0)
 
 #============================================================================
 # Find ignition-cmake

=== debian/changelog ===
ignition-sensors6 (6.8.0-1~revyos1) bullseye; urgency=medium

  * Release for RevyOS riscv64
  * Downgrade sdformat12 demand to 12.3 

 -- CHEN Xuan <chenxuan@iscas.ac.cn>  Thu, 23 May 2024 15:19:54 +0800

ignition-sensors6 (6.8.0-1~jammy) jammy; urgency=medium

  * ignition-sensors6 6.8.0-1 release

 -- Addisu Z. Taddese <addisu@openrobotics.org>  Fri, 12 Jan 2024 17:35:22 -0600

ignition-sensors6 (6.7.1-1~jammy) jammy; urgency=medium

  * ignition-sensors6 6.7.1-1 release

 -- Addisu Z. Taddese <addisu@openrobotics.org>  Fri, 01 Sep 2023 12:54:11 -0500

ignition-sensors6 (6.7.0-1~jammy) jammy; urgency=medium

  * ignition-sensors6 6.7.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Thu, 16 Feb 2023 15:23:14 -0800

ignition-sensors6 (6.7.0~pre1-2~jammy) jammy; urgency=medium

  * ignition-sensors6 6.7.0~pre1-2 release

 -- Nate Koenig <nate@openrobotics.org>  Thu, 16 Feb 2023 13:43:34 -0800

ignition-sensors6 (6.6.0-3~jammy) jammy; urgency=medium

  * ignition-sensors6 6.6.0-3 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 16 Aug 2022 16:01:08 -0700

ignition-sensors6 (6.6.0-2~jammy) jammy; urgency=medium

  * ignition-sensors6 6.6.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 17 Jun 2022 15:27:54 -0700

ignition-sensors6 (6.6.0-1~jammy) jammy; urgency=medium

  * ignition-sensors6 6.6.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 17 Jun 2022 10:53:20 -0700

ignition-sensors6 (6.5.0-1~jammy) jammy; urgency=medium

  * ignition-sensors6 6.5.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Wed, 25 May 2022 08:35:18 -0500

ignition-sensors6 (6.4.0-1~jammy) jammy; urgency=medium

  * ignition-sensors6 6.4.0-1 release

 -- Ian Chen <ichen@openrobotics.org>  Fri, 13 May 2022 18:05:59 -0700

ignition-sensors6 (6.3.0-2~jammy) jammy; urgency=medium

  * ignition-sensors6 6.3.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 08 Apr 2022 15:52:05 -0700

ignition-sensors6 (6.1.0-2~jammy) jammy; urgency=medium

  * First release for jammy

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 11 Mar 2022 17:59:37 +0100

=== debian/control ===
Source: ignition-sensors6
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               doxygen,
               pkg-config,
               debhelper (>= 11),
               libignition-cmake-dev,
               libignition-common-dev,
               libignition-common-core-dev,
               libignition-common-graphics-dev,
               libignition-math-dev (>= 6.6.0),
               libignition-msgs-dev (>= 8.2.0),
               libignition-plugin-dev,
               libignition-rendering-ogre1-dev (>= 6.5),
               libignition-rendering-ogre2-dev (>= 6.5),
               libignition-transport-dev,
               libignition-tools-dev,
               libsdformat-dev (>= 12.3.0)
Vcs-Browser: https://github.com/gazebosim/gz-sensors
Vcs-Git: https://github.com/gazebo-release/gz-sensors6-release
Standards-Version: 4.5.1
Homepage: http://gazebosim.org/

Package: libignition-sensors-core-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev,
         libignition-common-dev,
         libignition-common-core-dev,
         libignition-common-graphics-dev,
         libignition-math-dev (>= 6.6.0),
         libignition-msgs-dev (>= 8.2.0),
         libignition-plugin-dev,
         libignition-rendering-ogre1-dev (>= 6.5),
         libignition-rendering-ogre2-dev (>= 6.5),
         libignition-transport-dev,
         libignition-tools-dev,
         libsdformat-dev (>= 12.3.0),
         libignition-sensors6-6 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Development files
 Gazebo Sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Core development files

Package: libignition-sensors6-6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Shared library
 Gazebo Sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Main shared library

Package: libignition-sensors-air-pressure-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev,
         libignition-common-dev,
         libignition-common-core-dev,
         libignition-common-graphics-dev,
         libignition-sensors-core-dev (= ${binary:Version}),
         libsdformat-dev (>= 12.3.0),
         libignition-sensors6-air-pressure6 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Dev files air-pressure
 Gazebo Sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Development files for air-pressure sensor

Package: libignition-sensors6-air-pressure6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Lib air-pressure
  Gazebo Sensors is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for air-pressure sensor

Package: libignition-sensors-altimeter-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev,
         libignition-common-dev,
         libignition-common-core-dev,
         libignition-common-graphics-dev,
         libignition-sensors-core-dev (= ${binary:Version}),
         libsdformat-dev (>= 12.3.0),
         libignition-sensors6-altimeter6 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Dev files altimeter
  Gazebo Sensors is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for altimeter sensor

Package: libignition-sensors6-altimeter6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Lib altimeter
 Gazebo Sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Shared library for altimeter sensor

Package: libignition-sensors-boundingbox-camera-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev,
         libignition-common-dev,
         libignition-common-core-dev,
         libignition-common-graphics-dev,
         libignition-math-dev (>= 6.6.0),
         libignition-msgs-dev (>= 8.2.0),
         libignition-transport-dev,
         libignition-sensors-core-dev (= ${binary:Version}),
         libsdformat-dev (>= 12.3.0),
         libignition-sensors6-boundingbox-camera6 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Dev files Bounding Box Camera
 Gazebo sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Development files for NavSat (GPS) sensor

Package: libignition-sensors6-boundingbox-camera6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Lib Bounding Box Camera
 Gazebo sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Shared library for NavSat (GPS) sensor

Package: libignition-sensors-camera-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev,
         libignition-common-dev,
         libignition-common-core-dev,
         libignition-common-graphics-dev,
         libignition-math-dev (>= 6.6.0),
         libignition-msgs-dev (>= 8.2.0),
         libignition-transport-dev,
         libignition-sensors-core-dev (= ${binary:Version}),
         libsdformat-dev (>= 12.3.0),
         libignition-sensors6-camera6 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Dev files Camera
 Gazebo Sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Development files for Camera sensor

Package: libignition-sensors6-camera6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Lib Camera
  Gazebo Sensors is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for Camera sensor

Package: libignition-sensors-depth-camera-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev,
         libignition-common-dev,
         libignition-common-core-dev,
         libignition-common-graphics-dev,
         libignition-math-dev (>= 6.6.0),
         libignition-msgs-dev (>= 8.2.0),
         libignition-transport-dev,
         libignition-sensors-core-dev (= ${binary:Version}),
         libignition-sensors-camera-dev (= ${binary:Version}),
         libsdformat-dev (>= 12.3.0),
         libignition-sensors6-depth-camera6 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Dev files depth-camera
 Gazebo Sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Development files for depth-camera sensor

Package: libignition-sensors6-depth-camera6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Lib depth-camera
 Gazebo Sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Shared library for depth-camera sensor

Package: libignition-sensors-force-torque-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev,
         libignition-common-dev,
         libignition-common-core-dev,
         libignition-common-graphics-dev,
         libignition-math-dev (>= 6.6.0),
         libignition-sensors-core-dev (= ${binary:Version}),
         libsdformat-dev (>= 12.3.0),
         libignition-sensors6-force-torque6 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Dev files force-torque
 Gazebo Sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Development files for force-torque sensor

Package: libignition-sensors6-force-torque6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Lib force-torque
 Gazebo Sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Shared library for force-torque sensor

Package: libignition-sensors-imu-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev,
         libignition-common-dev,
         libignition-common-core-dev,
         libignition-common-graphics-dev,
         libignition-math-dev (>= 6.6.0),
         libignition-sensors-core-dev (= ${binary:Version}),
         libsdformat-dev (>= 12.3.0),
         libignition-sensors6-imu6 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Dev files imu
 Gazebo Sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Development files for imu sensor

Package: libignition-sensors6-imu6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Lib imu
 Gazebo Sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Shared library for imu sensor

Package: libignition-sensors-lidar-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev,
         libignition-common-dev,
         libignition-common-core-dev,
         libignition-common-graphics-dev,
         libignition-math-dev (>= 6.6.0),
         libignition-msgs-dev (>= 8.2.0),
         libignition-transport-dev,
         libignition-sensors-core-dev (= ${binary:Version}),
         libsdformat-dev (>= 12.3.0),
         libignition-sensors6-lidar6 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Dev files lidar
 Gazebo Sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Development files for lidar sensor

Package: libignition-sensors6-lidar6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Sensors classes and functions for robot apps - Lib lidar
 Gazebo Sensors is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Shared library for lidar sensor

Package: libignition-sensors-gpu-lidar-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev,
         libignition-common-dev,
         libignition-common-core-dev,
         libignition-common-graphics-dev,
         libignition-math-dev (>= 6.6.0),
         libignition-msgs-dev (>= 8.2.0),
         libignition-transport-dev,
